<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn = "SecurityAccess";
$LtEn = "300";
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		////Identificar la Cuentra de Trackeo
		$CveCta_En=$_POST['CveCta'] or $CveCta_En=$_GET['CveCta'];
		$RutaEn=$_GET['txt_RUTA'] or $RutaEn=$_POST['txt_RUTA'];
	  	$DocuEn=$_GET['txt_DOC'] or $DocuEn=$_POST['txt_DOC'];
	  	$GuiaEn=$_GET['txt_GUIA'] or $GuiaEn=$_POST['txt_GUIA'];
		$SatisEn=$_GET['NivSat'] or $SatisEn=$_POST['NivSat'];
	  	$ObseEn=$_GET['txt_OBSE'] or $ObseEn=$_POST['txt_OBSE'];
		
		if ($CveCta_En=="")
		{///Inicia IF 1
			echo "<script>alert('ADVERTENCIA:\\nNo se ha definido ninguna cuenta para el Tracking. Favor de Corroborarlo');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Error1.php'>";
		}
		else
		{
			///Identificar si la Cve de Cuenta Existe
			$sql_C2 = mysql_query("select * from wms_configura_altacuentas WHERE CVE_CUENTA='$CveCta_En'");
			if (mysql_numrows($sql_C2)==0) 
			{///Inicia IF 2
				echo "<script>alert('ADVERTENCIA:\\nLa Clave de Cuenta Indicada para el Tracking NO Existe. Favor de Corroborarlo');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Error1.php'>";
			}
			else
			{
			
			///Consultar el Nombre de la Cve de cuenta
			$sql_C3 = mysql_query("select * from wms_configura_altacuentas WHERE CVE_CUENTA='$CveCta_En'");
			if (mysql_numrows($sql_C3)==0) echo "";
			else{
			$registro_C3=mysql_fetch_array($sql_C3);
			}
			if (mysql_numrows($sql_C3)>0)
			{
			$CveBodCR1=$registro_C3["CVE_BODEGA"];
			$Nom_Cta=$registro_C3["NOMBRE_CUENTA"];
			}
			
			////Identificar si el Recibo de Tracking ya fue realizado
			$sql_V1 = mysql_query("select * from tabla_trentrega WHERE CVE_CUENTA='$CveCta_En' AND NO_RUTA='$RutaEn' and DOCUMENTO='$DocuEn'");
			if (mysql_numrows($sql_V1)<>0) 
			{///Inicia IF 3
				echo "<script>alert('El recibo que deseas realizar, ya fue procesaro anteriormente. Favor de corroborarlo.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=6-RecepcionPedido2.php?CveCta=$CveCta_En&txt_GRAS=$GuiaEn'>";
			}
			else
			{
			
			////Validar Campos en Blanco	
			if ($SatisEn=="NA")
			{///Inicia IF 4
			echo "<script>alert('Debes elegir un nivel de satisfacción de la entrega. Favor de corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=6-RecepcionPedido2.php?CveCta=$CveCta_En&txt_GRAS=$GuiaEn'>";
			}
			else
			{
				if ($RutaEn=="")
				{///Inicia IF 5
				echo "<script>alert('Existe incosistencia en el dato RUTA. Favor de corroborarlo.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=6-RecepcionPedido2.php?CveCta=$CveCta_En&txt_GRAS=$GuiaEn'>";
				}
				else
				{
					if ($DocuEn=="")
					{///Inicia IF 6
					echo "<script>alert('Existe incosistencia en el dato DOCUMENTO. Favor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=6-RecepcionPedido2.php?CveCta=$CveCta_En&txt_GRAS=$GuiaEn'>";
					}
					else
					{
						if ($GuiaEn=="")
						{///Inicia IF 7
						echo "<script>alert('Existe incosistencia en el dato GUIA. Favor de corroborarlo.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=6-RecepcionPedido2.php?CveCta=$CveCta_En&txt_GRAS=$GuiaEn'>";
						}
						else
						{
							////Validando las Observaciones
							if ($ObseEn=="")
							{
							$ObseEn="Ninguna por el Momento";
							}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="Inactividad_Receptor.php"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="Inactividad_Receptor.php"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">

	<div data-role="header">    
		<h1>|| DEXTRA - WMS ||<Br>Tracking</h1>
	</div>
  <div data-role="content" align="center">	
	  <!-- Inicia Cuerpo de la Pantalla -->
		<?PHP
			////Hora y fecha
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			////Generador de Folio para guardar el concecutivo en la tabla_trentrega
			$sqlIDP22 = "select max(ID) as ultimo_FOLIOP22 from tabla_trentrega"; 
			$libP22 = mysql_query($sqlIDP22); 
			$rs_libP22 = mysql_fetch_assoc($libP22); 
			$id_nuevoP22 = $rs_libP22['ultimo_FOLIOP22'] + 1;
			
			////Guardar el Registro en la tabla_trentrega
			$sqlGCP = "insert tabla_trentrega (ID,CVE_BODEGA,CVE_CUENTA,TIPO_ENTREGA,DOCUMENTO,NO_RUTA,SATISFACCION,OBSERVACIONES,LATITUD,LONGITUD,FECHA,HORA,SINCRONIZACION,REG_SINCRO)
        	values('$id_nuevoP22','$CveBodCR1','$CveCta_En','DIGITAL','$DocuEn','$RutaEn','$SatisEn','$ObseEn','-','-','$Fecha','$HoraOK','-','-')";
			$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());
			
			////Identificar Datos del Tracking x medio de su Guia
			$sql_C2 = mysql_query("select * from tabla_trcarga WHERE CVE_CUENTA='$CveCta_En' AND DOCUGUIA='$GuiaEn' AND NO_RUTA='$RutaEn' AND DOCUMENTO='$DocuEn'");
			if (mysql_numrows($sql_C2)==0) echo "";
			else{
			$registro_C2=mysql_fetch_array($sql_C2);
			}
			if (mysql_numrows($sql_C2)>0)
			{
			$CZincQR=$registro_C2["CVE_SINCRONIZACION"];
			}
			
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=QR/6-RecepcionPedido4.php?CveCta=$CveCta_En&txt_RUTA=$RutaEn&txt_GUIA=$GuiaEn&txt_DOC=$DocuEn&data=$CZincQR'>";
			
		?>
      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.dextra-logistica.mx | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
}///Termina IF 7
}///Termina IF 6
}///Termina IF 5
}///Termina IF 4
}///Termina IF 3
}///Termina IF 2
}///Termina IF 1
?>
</body>
</html>
